package com.cool.store.service;
import com.cool.store.dto.buser.UserPositionAndUserScopeDTO;
import com.cool.store.entity.EnterpriseUserDO;
import com.cool.store.vo.EnterpriseUserSingleInfoVO;

import java.util.List;

/**
 * @author zhangchenbiao
 * @FileName: EnterpriseUserService
 * @Description: 用户service
 * @date 2023-05-29 19:58
 */
public interface EnterpriseUserService {

    EnterpriseUserDO getUserInfoByUserId(String userId);


    /**
     *
     * @param userId
     * @return
     */
    List<EnterpriseUserSingleInfoVO> getInvestmentManagerList(String type,String userId,String keyword);


    /**
     * 获取用户角色已用户管辖的员工范围
     * @param userId
     * @return
     */
    UserPositionAndUserScopeDTO getUserIdsByScope(String userId);



    List<EnterpriseUserSingleInfoVO> getDevelopmentDirectorList(String wantShopArea);

    /**
     * 根据意向区域获取开发主管
     * @param zoneId
     * @return
     */
    EnterpriseUserDO getDevelopmentByZoneId(Long zoneId);

}
